com.microfocus.awm.meta.internal.modelextension

## Class AbstractSpecialPropertyRestriction

- java.lang.Object
- - com.microfocus.awm.meta.internal.modelextension.AbstractSpecialPropertyRestriction

- Direct Known Subclasses:
    GeneralSpecialyPropertyRestriction

      public abstract class AbstractSpecialPropertyRestriction
      extends java.lang.Object

  Abstract class to modify the special property attribute values shown in property element in the AWM meta model editor.

  This class is NOT intended to be extended by a client.

  Copyright Micro Focus GmbH.

  Author:
    NicolasP

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSpecialPropertyRestriction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<ESpecialProperties>` | `getRestrictions()` Returns a `Collection` of `ESpecialProperties` which should be displayed as special property attribute values of `Property`s.
    `void` | `registerNextFileTypeRestriction(AbstractSpecialPropertyRestriction pSpecialPropertyRestriction)` Registers a new `AbstractSpecialPropertyRestriction` that handles the call of `getSpecialPropertyRestrictions()`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractSpecialPropertyRestriction

          public AbstractSpecialPropertyRestriction()

  - ### Method Detail

    - #### registerNextFileTypeRestriction

          public final void registerNextFileTypeRestriction(AbstractSpecialPropertyRestriction pSpecialPropertyRestriction)

      Registers a new `AbstractSpecialPropertyRestriction` that handles the call of `getSpecialPropertyRestrictions()`.
      Parameters:
        `pSpecialPropertyRestriction` - an implementation of `AbstractSpecialPropertyRestriction`

    - #### getRestrictions

          public final java.util.Collection<ESpecialProperties> getRestrictions()

      Returns a `Collection` of `ESpecialProperties` which should be displayed as special property attribute values of `Property`s.
      Returns:
        a `Collection` of `ESpecialProperties`. This method calls the `getSpecialPropertyRestrictions()` of the last implementation of the chain.

Copyright © 2015 Micro Focus GmbH. All rights reserved.